%define real_name Cwd
%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)
%define perl_archlib %(eval "`perl -V:archlib`"; echo $archlib)
%define perl_privlib %(eval "`perl -V:privlib`"; echo $privlib)

Summary: Get the pathname of the current working directory
Name: perl-Cwd
Version: 2.20
Release: 3.norlug
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Cwd/

Source: http://search.cpan.org/CPAN/authors/id/K/KW/KWILLIAMS/Cwd-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl

%description
This small module gets the pathname of the current working directory.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%pre
mv /usr/lib/perl5/5.6.1/Cwd.pm /usr/lib/perl5/5.6.1/Cwd.pm.rpmsave

%postun
mv /usr/lib/perl5/5.6.1/Cwd.pm.rpmsave /usr/lib/perl5/5.6.1/Cwd.pm

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -f %{buildroot}%{perl_archlib}/perllocal.pod
%{__rm} -f %{buildroot}%{perl_vendorarch}/auto/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes
#%doc %{_mandir}/man3/*
%{perl_vendorarch}/Cwd.pm
%{perl_vendorarch}/auto/Cwd/*

%changelog
* Mon Jan 3 2005 Chip Cuccio <chipster@norlug.org> 2.20-3
- initial rh-7.3 rpm
